#
# spec file for package modutils (Version 2.4.8)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf bison
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         modutils
Version:      2.4.8
Release:      22
Copyright:    GPL
Group:        Base/Kernel
Provides:     modules
Obsoletes:    modules
Autoreqprov:  on
Summary:      Load modutils into the kernel
URL:		http://www.kernel.org/pub/linux/utils/kernel/modutils/
Source:		ftp://ftp.kernel.org/pub/linux/utils/kernel/modutils/v2.4/modutils-%{version}.tar.bz2
Source1:	ftp://ftp.kernel.org/pub/linux/utils/kernel/modutils/v2.4/modutils-%{version}.tar.bz2.sign
Source2:	ftp://ftp.kernel.org/pub/linux/utils/kernel/modutils/v2.4/do-not-use-patch-2.4.0-hotplug.bz2
Source3:	ftp://ftp.kernel.org/pub/linux/utils/kernel/modutils/v2.4/patch-2.4.0-persistent.bz2
Patch1:		modutils-include.patch
Patch2:		modutils-destdir.diff
Patch3:		modutils-osst.diff
Patch4:         xftw-nonverbose.dif
Patch5:		special-characters.dif
Exclusiveos:	Linux
BuildRoot:	%{_tmppath}/%{name}-root

%description
Utilities for the loading of kernel modutils. Included are
'insmod', 'lsmod', 'rmmod', 'depmod', 'modprobe'. The
configuration file /etc/modutils.conf can be used to pass
parameters to the modutils. 'depmod' should be used after
compiling a new kernel to generate the dependancy information.
'insmod' does not use the dependancy nor the
options file. Therefore, 'modprobe' is normally used to
load a module.

Authors:
--------
    Bjorn Ekwall <bj0rn@blox.se>
    Jon Tombs <jon@gtex02.us.es>
    Bas Laarhoven <bas@vimec.nl>
    Keith Owens <kaos@ocs.com.au>

SuSE series: a

%prep
%setup
%patch1
%patch2 -p1
%patch3
%patch4
%patch5

%build
%{?suse_update_config:%{suse_update_config -f}}
# configure defaults:  --enable-strip --disable-compat-2-0 --disable-kerneld
CFLAGS="-ggdb" ./configure \
	--prefix=/usr \
	--exec-prefix=/ \
	--mandir=%{_mandir} \
        --enable-insmod-static \
        --enable-zlib \
        %{_target_cpu}-suse-linux
make dep all EXTRA_DEFS="-DNO_WARN_ON_OLD_LINK=1"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{sbin,usr/share/man/man{1,2,5,8}}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc NEWS README TODO COPYING CREDITS ChangeLog
%doc example/kallsyms.c include/kallsyms.h
%doc $RPM_SOURCE_DIR/do-not-use-patch-2.4.0-hotplug.bz2 $RPM_SOURCE_DIR/patch-2.4.0-persistent.bz2
/sbin/depmod
/sbin/genksyms
/sbin/insmod
/sbin/insmod.static
/sbin/insmod_ksymoops_clean
/sbin/kallsyms
/sbin/kallsyms.static
/sbin/kernelversion
/sbin/ksyms
/sbin/ksyms.static
/sbin/lsmod
/sbin/lsmod.static
/sbin/modinfo
/sbin/modprobe
/sbin/modprobe.static
/sbin/rmmod
/sbin/rmmod.static
%doc %{_mandir}/man?/*

%changelog -n modutils
* Thu Aug 30 2001 - garloff@suse.de
- Update to modutils-2.4.8:
  * Archdata for PPC and MIPS
  * symindx bound check
- Update to modutils 2.4.7:
  * Lots of S390 fixes
  * non-zero return code for unresolved symbols by depmod
  * docu updates
  * pport devs and tunl0 ipip alias
* Tue Jul 31 2001 - cihlar@suse.cz
- fixed special-characters.dif
* Mon Jul 30 2001 - cihlar@suse.cz
- update to version 2.4.6
- added special-characters.dif [#9534]
* Mon May 07 2001 - cihlar@suse.cz
- patched xftw to be nonverbose (depmod -av should show
  names of modules, not that lstat failed on non-existent
  directories)
* Thu Apr 12 2001 - garloff@suse.de
- Update to 2.4.5.
* Wed Apr 04 2001 - froh@suse.de
- removed obsolete s390 patch
* Wed Mar 28 2001 - cihlar@suse.cz
- update to 2.4.4:
  * Do not generate filenames when reading nested config files.
  * depmod ignored user prune commands, reported
  by Kristofer T. Karas.
  * Change error message for short ELF header.
  * Missing commas in alias list.  Urs Thuermann.
  * Print an error message when genksyms detects a bad kernel
  version. Mark McLoughlin
  * modinfo default changed to filename, description, author,
  parameters. Mark McLoughlin
* Fri Mar 09 2001 - garloff@suse.de
- Update to modutils 2.4.3:
  * putenv() strings must be copied first.
  * Not everybody has Elf64_Xword.
  * Add stdlib.h to some files for glibc 2.2.
  * Redhat modutils-2.4.0-alias.patch.
  * Out by one error in alloca. (OB1)
* Wed Feb 14 2001 - schwab@suse.de
- Fix OB1 in modprobe.
* Mon Feb 05 2001 - garloff@suse.de
- Remove patch to add /lib/modules/`uname -r/misc to default paths
  again.
* Mon Feb 05 2001 - garloff@suse.de
- Update to 2.4.2:
  * genksym changes: Remove 'attribute' as a C keyword, add
  'restrict', '__restrict', '__restrict__', '_Bool'.  (RTH.)
  * Log modprobe commands in /var/log/ksymoops.  This one's for
  Wichert.
  * Revert to a single USB table format.  USB maintainers will
  not support anybody on 2.4.0-prerelease or earlier.
- Due to the lack of good-will for providing backwards-compatibi-
  lity of the USB maintainers :-(, the hotplug patch has been
  renamed into do-not-use-...
* Mon Jan 08 2001 - garloff@suse.de
- Update to 2.4.1:
  * empty generic string patch already included
  * alias usbdevfs usbcore
  * document lsmod count -1
  * Handle version 1 and 2 usb dev tables
  * add optional version no to kernel tables
- Include kallsyms in %%doc
- Include the hotplug and the persistent kernel patches in %%doc
* Wed Dec 20 2000 - garloff@suse.de
- Add patch from Keith: Fix depmod loop for empty
  MODULE_GENERIC_STRING entries
- Add /lib/modules/`uname -r/misc to default paths (may otherwise
  miss on 2.4 kernels).
* Sun Dec 17 2000 - garloff@suse.de
- Update to 2.3.23:
  * Fixes: Error path in rmmod, generic_string bound check
  * HPPA and HPPA64 support
  * Updated alias list
  * Compile/Makefiles cleanup
  * parportmap
  * Warn instead of error for invalid MODULE_PARM
- Include osst alias.
* Mon Dec 11 2000 - garloff@suse.de
- Update to 2.3.22.
  * Limit recursion has been included already.
  * Support for persistent storage
  * iA64 unwind fixes
  * Correct test for unexpected REL/RELA sections
  * other bugfixes ...
* Mon Dec 11 2000 - garloff@suse.de
- Disable modutils-libz-static patch, as libz is in /lib now.
* Wed Nov 29 2000 - garloff@suse.de
- Limit recursion in modprobe to avoid Harakiri in presence of
  circular dependencies.
* Tue Nov 28 2000 - garloff@suse.de
- Fixed BuildRoot/DESTDIR handling
- Link statically against libz as it's in /usr !
* Tue Nov 28 2000 - garloff@suse.de
- Updated to 2.3.21: Mainly security fixes:
  snprintf cleanups, safemode for uid!=euid (instead of env. var)
  and quote handling from shell responses.
* Mon Nov 20 2000 - cihlar@suse.cz
- fixed name of package
- update to version 2.3.20
* Fri Nov 10 2000 - cihlar@suse.cz
- renamed modules -> modutils
- fixed security bug in meta_expand.c
* Thu Nov 09 2000 - cihlar@suse.cz
- Update to 2.3.19
* Tue Sep 26 2000 - schwab@suse.de
- Update to 2.3.17.
* Mon Sep 18 2000 - cihlar@suse.cz
- removed obsolete part of dif
* Wed Aug 30 2000 - cihlar@suse.cz
- fixed to compile on s390
* Thu Aug 24 2000 - cihlar@suse.cz
- fixed to compile on sparc
- bzipped sources
* Thu Aug 10 2000 - cihlar@suse.cz
- update to version 2.3.14, left patches with include
  level and insmod.c, removed patch of insmod/Makefile.in,
  other patches were implemented to sources
- does not compile kerneld and utilities for kernel 2.0
* Mon Jun 26 2000 - bk@suse.de
- disabled kerneld on s390 too.
* Wed May 17 2000 - schwab@suse.de
- Fix specfile.
- Add ia64 patches.
* Fri May 12 2000 - kasal@suse.cz
- Fix insmod/Makefile.in for SPARC.
* Thu May 11 2000 - kukuk@suse.de
- Fix for SPARC
* Wed May 03 2000 - tiwai@suse.de
- Upgrade to 2.3.11
- Bug fix around include command
* Thu Apr 06 2000 - bk@suse.de
- s390 team added s390 support to modutils
* Tue Mar 21 2000 - kasal@suse.de
- Upgrade to 2.3.10.
* Sat Feb 05 2000 - garloff@suse.de
- Use manpages to /usr/share/man.
* Thu Dec 30 1999 - kasal@suse.de
- Upgrade to 2.3.9.  No big changes, except common-sparc configure
  option was rewritten.
* Sun Dec 19 1999 - kasal@suse.de
- Upgrade to 2.3.8 and deleted all patches except modutils-identity.patch.
  This leaves the source tree exactly the same.
* Thu Dec 09 1999 - kasal@suse.de
- Upgraded to 2.3.8 pre-release-6 since it accepts plenty of our
  patches.  (Removed modutils-strip.diff thus.)
* Fri Nov 26 1999 - kasal@suse.de
- upgraded to 2.3.7
- enabled things like "ln -s insmod.static rmmod.static" (patch1)
- enhancing and cleaning up configure script, combine-all by default (patch2)
- cleanup of COMBINE_sparc issues (patch3)
- added BuildRoot and overall cleanup of the spec file
- files added: /sbin/*.static, man1/kernelversion.1
* Fri Oct 22 1999 - ro@suse.de
- added insmod.static
* Tue Oct 19 1999 - garloff@suse.de
- updated to 2.3.6: includes mod.conf.patch.
* Fri Oct 15 1999 - garloff@suse.de
- Don't issue warning, if symlink conf.modules pointing to
  modules.conf exist.
* Wed Oct 13 1999 - garloff@suse.de
- Updated to modutils-2.3.5. Migration to modules.conf.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - ro@suse.de
- updated to pre8
* Thu Jul 22 1999 - garloff@suse.de
- depmod: prefer symbols from the kernel
* Thu Apr 01 1999 - ro@suse.de
- update to pre6
* Wed Mar 24 1999 - ro@suse.de
- update to 2.2.0 (pre5)
* Mon Sep 28 1998 - ro@suse.de
- removed insmod-hacker-tool
- kerneld.c : include kerneld.h in current dir if compiling for 2.1 kernel
* Mon Mar 02 1998 - florian@suse.de
- update to modutils 2.1.85
- remove /sbin/request-route.sample
* Fri Oct 24 1997 - florian@suse.de
- ignore any unknown files while running "depmod -a"
- update to modutils 2.1.55
- do not include man-pages from section 2 as they are already in ldpman
- make this package ready for autobuild
* Thu May 29 1997 - bs@suse.de
- moved sbin/request-route to sbin/request-route.sample
* Sat Apr 26 1997 - florian@suse.de
- update to new version 2.1.34
* Sun Apr 13 1997 - florian@suse.de
- update to new version 970412
* Wed Feb 05 1997 - florian@suse.de
- update to new version 2.1.13
- add bug-fix from Hans Lermen
* Thu Jan 02 1997 - florian@suse.de
- add support for 2.1.xx kernel
- small bug-fixes like call to llseek
* Thu Jan 02 1997 - florian@suse.de
- /sbin/insmod ist jetzt ein Link auf insmod-HACKER_TOOL von Hans Lermen
* Thu Jan 02 1997 - florian@suse.de 
  added insmod-HACKER_TOOL (used to be in dosemu.tgz)
